Bug 443987 - Need way to get better debugging output
Need way to get better debugging output
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-04-24 10:27 EDT by Rob Crittenden
Modified: 2015-01-04 18:32 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add --verbose flag (37.59 KB, patch)
2008-04-24 10:43 EDT, Rob Crittenden
no flags Details | Diff
actually pass along the verbose flag to IPAClient (8.32 KB, patch)
2008-05-29 14:38 EDT, Rob Crittenden
no flags Details | Diff
missed some IPAClient invocations (2.25 KB, patch)
2008-06-11 14:34 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-04-24 10:27:34 EDT
Description of problem:

Sometimes problems have occurred and there is no way to tell what the client is
trying to do. You can't tell:

- what server it is trying to connect to
- what URI is being requested
- if any communication has occurred

We need a --verbose option that will show us what is happening.
Comment 1 Rob Crittenden 2008-04-24 10:28:21 EDT
The python xmlrpclib library offers a verbose option to print the HTTP headers
and the XML request and response. We should use that.
Comment 2 Rob Crittenden 2008-04-24 10:43:52 EDT
Created attachment 303639 [details]
add --verbose flag

Also fix the python imports. I had attempted to wrap everything in a try/except
so we could catch a ^C without a backtrace during imports but this masked other
errors.
Comment 3 Rob Crittenden 2008-04-25 10:42:47 EDT
master: 12ea8efc0b05f361a5871451cb095753c8c6cc16
ipa-1-0: a3a749cf5ea27fe46f12d866b93f94623f698efd
Comment 4 Yi Zhang 2008-05-29 14:21:34 EDT
Rob:
the -v or --verbose flog seems not produce anymore info, how should i use it?

test is below:
ipaserver[05/29/08 11:19] ipa-moduser -d /home/dir -v u1234567
u1234567 successfully updated
ipaserver[05/29/08 11:19] ipa-moduser -d /home/dir --verbose u1234567
No modifications to be performed
ipaserver[05/29/08 11:19] ipa-moduser -d /home/directory --verbose u1234567
u1234567 successfully updated
Comment 5 Rob Crittenden 2008-05-29 14:38:30 EDT
Created attachment 307121 [details]
actually pass along the verbose flag to IPAClient
Comment 6 Rob Crittenden 2008-05-29 16:06:01 EDT
Pushed patch

ipa-1-0: c0bb3ea2a6b49a2786efd3396934d645c860e00c
master: e3ba80e3d3d925672026cdba5f24989ad940e8e2
Comment 7 Yi Zhang 2008-06-11 12:24:08 EDT
I still see some command has no verbose output

[root@client64 ~]# ipa-moduser -d /home/dir --verbose u103
u103 successfully updated


some of them does:

[root@client64 ~]# ipa-delgroup -v grp001
Connecting to IPA server: https://ipaserver.ipaqa.com/ipa/xml
Connecting to IPA server: https://ipaserver.ipaqa.com/ipa/xml
send: 'POST /ipa/xml HTTP/1.0\r\nHost: ipaserver.ipaqa.com\r\nAuthorization:
negotiate
YIIEbAYJKoZIhvcSAQICAQBuggRbMIIEV6ADAgEFoQMCAQ6iBwMFACAAAACjggEXYYIBEzCCAQ+gAwIBBaELGwlJUEFRQS5DT02iJjAkoAMCAQOhHTAbGwRIVFRQGxNpcGFzZXJ2ZXIuaXBhcWEuY29to4HSMIHPoAMCARKhAwIBA6KBwgSBv2yM5JsuFzAnrjYei/1OLL/G6ATyyKqEIDqJwouPRb4VBtrE9ZWowte2Ky4yZFa9S3MuoPwFtPN4i59E0DIcXiHyuShR50UoKiNxzMmBQpv7qme7eEyC19GaZwZSYvtq24G8oCUYXhHX3Nzo2VaJoV+y1aB2282mMBKp+riCtUITsQosKlqiKSbuDCJXWWNaoJTZ8rYto41YslZF8iTGHPglrVex1/46uuv5DwMu/h62HSLlWj9Os9UxxIsBUlVgpIIDJTCCAyGgAwIBEqKCAxgEggMUyNHc0CV23m6M/VqSigpJKEr58gZWv3E+FvWE59r0BE9MoOUovgFqZx4sfzk/kjYJpVvOozy/3PirXlEqrG8fBdo8cNXLOe7FD+aPxw3CfMweDgaGSK32tmR7mMUDxKRhSjAXCmIzk42Q5GaMizG+K8XV+WNHng/OHr/gIEe+dHtRZwJm3DlfLLFJasmRHuVCG8gpQg5VbhgQ50rjGWLlWwZ8Hl4CwM2cA8MluhOA9NEgRzOd6cFn0JqY8ijbVnCg9zFmUSZQNlauWA2/JfaVJHZFGj/mgwP5vt8cAdW/ov5kB0JiieduNYj6OxRDc/syp3t3UA7+nV9TeWSOfUVBtn8npxBCjmc3naDfXWmmq/ZRzPuOUmCzuISr240PBYYl/1LkjV6lCu9KKNvNxBp/ddkpa/QdwD/0tZOei0hl5XDRrtzQR/WsccSHeI/chqQ8ZBEdhIFK1m9VXxrwpx3BC3z+QtAzB6BNfv0aiAYJXramb5dKxAgA55iyUx8nJqHLrjFNzHc1gaz7Wn+TKmNisYdo+hOjtKSZiRkb7ZIMI2cZKY3NT4qCakwSSolVZNaQ0rjd2pqE4mUN82+hzPl2voP7RpmL0yPcR6H/ujchATmgHLGm7SWKcJKbPAVsuuamINyQ61rJpoAgRO40dSDad1Ly6wrCEk0J085iibmAWaOfZwHW5jKNY01yhB7PGamgcJLQmV/VbHl6XJH9eN+ZC9K9/CnFnfj5UohdTB44kN3XbYwv8hWYRVKcsreBP1L/73iLTXuYtIxkWJCTR9OrXsZPk3PSy6Mh4jKIkzEGB9SfcGMUT4xVuF4REcpYyu4GAjaIfTtWDE3Uvz4gaMUZSN+/uZroADNw9E/yxVhpPsOk6FA0mRoePkUrBMvk2prH3Qn2SDiep5drvXL+p2AiA9PpyBkWt/XiDVsJMXFfgX2vwa4Ka9Qf3SFLVJr7Y4WA1QRT4Si8eFh86GEvlncuEOKYmjqzEt5Kfa6o+6rzKTLD2SkFCpEaxBqXcpOd9OhtSLDtlZcha1gh/sw4Bn5ATMtRHe4=\r\nUser-Agent:
xmlrpclib.py/1.0.1 (by www.pythonware.com)\r\nContent-Type:
text/xml\r\nContent-Length: 482\r\n\r\n'
send: "<?xml
version='1.0'?>\n<methodCall>\n<methodName>find_groups</methodName>\n<params>\n<param>\n<value><string>grp001</string></value>\n</param>\n<param>\n<value><array><data>\n<value><string>cn</string></value>\n<value><string>description</string></value>\n<value><string>gidnumber</string></value>\n<value><string>nsAccountLock</string></value>\n</data></array></value>\n</param>\n<param>\n<value><int>-1</int></value>\n</param>\n<param>\n<value><int>-1</int></value>\n</param>\n</params>\n</methodCall>\n"
reply: 'HTTP/1.1 200 OK\r\n'
header: Date: Wed, 11 Jun 2008 15:32:35 GMT
header: Server: Apache/2.2.3 (Red Hat)
header: WWW-Authenticate: Negotiate
YIGZBgkqhkiG9xIBAgICAG+BiTCBhqADAgEFoQMCAQ+iejB4oAMCARKicQRvrA0uCX0A1OPzkd83bi30IWwXEgmK0JSlKqH/ecNI+rBpma9Z9p8peds/Vn4wNBa1oNaOHGLZJ44QpG9txucH0SBTX/YROXmqLDew+KrAhU/YtVcGJAe4d88LGBFOrH5bn5HFcVTXdsndOZ2CPowL
header: Content-Length: 554
header: Connection: close
header: Content-Type: text/xml
body: "<?xml
version='1.0'?>\n<methodResponse>\n<params>\n<param>\n<value><array><data>\n<value><int>1</int></value>\n<value><struct>\n<member>\n<name>dn</name>\n<value><string>cn=grp001,cn=groups,cn=accounts,dc=ipaqa,dc=com</string></value>\n</member>\n<member>\n<name>gidnumber</name>\n<value><string>1100</string></value>\n</member>\n<member>\n<name>cn</name>\n<value><string>grp001</string></value>\n</member>\n<member>\n<name>description</name>\n<value><string>group
001</string></value>\n</member>\n</struct></value>\n</data></array></value>\n</param>\n</params>\n</methodResponse>\n"
Connecting to IPA server: https://ipaserver.ipaqa.com/ipa/xml
send: 'POST /ipa/xml HTTP/1.0\r\nHost: ipaserver.ipaqa.com\r\nAuthorization:
negotiate
YIIEbAYJKoZIhvcSAQICAQBuggRbMIIEV6ADAgEFoQMCAQ6iBwMFACAAAACjggEXYYIBEzCCAQ+gAwIBBaELGwlJUEFRQS5DT02iJjAkoAMCAQOhHTAbGwRIVFRQGxNpcGFzZXJ2ZXIuaXBhcWEuY29to4HSMIHPoAMCARKhAwIBA6KBwgSBv2yM5JsuFzAnrjYei/1OLL/G6ATyyKqEIDqJwouPRb4VBtrE9ZWowte2Ky4yZFa9S3MuoPwFtPN4i59E0DIcXiHyuShR50UoKiNxzMmBQpv7qme7eEyC19GaZwZSYvtq24G8oCUYXhHX3Nzo2VaJoV+y1aB2282mMBKp+riCtUITsQosKlqiKSbuDCJXWWNaoJTZ8rYto41YslZF8iTGHPglrVex1/46uuv5DwMu/h62HSLlWj9Os9UxxIsBUlVgpIIDJTCCAyGgAwIBEqKCAxgEggMUCZuywA1w5es9dletkmyIutvy2waX0bZ9+sa7wFR2zrZguhU+oEmhBFg2Mo8/vnPaXof2pGDHPAFuMy3aUYyp51zSAL1RV6l7wurS0rCwBQ/mGHW4JoAPTzeJpcR7nIeTTRPTZeevlfVGfVKHLHcrnHefkBbpxSeJUImIrHUGri0VdeDIuHEonx2IXcsQiRCgovOS+mGCU1ojzzpnNTchI6SGFoJsl6MgqSRRdkczTOffCvLQjOlIkkPrhMMCyWLzmqFsCIZYtoVQZYGMX8kJjdcvbWeWuIRxojUIlPFLKV4LsO/HjA7YeINUWydlaZMduC9ePHA5psDAnp4d2cvKJvCnxdH7Xty+ZNwlJzc4FMdWqKJ7Utc2B2H51Ifc8gBy582l1OQK0KkWeFDRTBs7t0nLAg3S0Ojc9VQGINKMVvoK9xoqJhqNjFbL+MBzfiS9LAWTIiUvswcpnHGqWy3JDz0RXoiUtP/sK91uZXKL8pMy5XyBC0jae4kxW7P1kvQ+VChdt66aIwN3yjAfjg9tBmtOZi9JfdbUxmban09diSXNf/0TIq4BlBj3h2GOvS60hatRzTDLWcWsVXfoCAB2uQRLK9sYmEnnKMb1P4NfqS70E8ifx1jIa6W21kxu6ClqOzvy2XFTWMajy7JMvMGkYc3LSTAgoQLuuPHLoJF18os1H2aRZoea1cRkOIF+CrjQPXvzyt/CUu2IHhiK1xi6Ku+iZKo0FX6jEZinhiGejp80o13CC+tXeqNCW7uCEfx6g4mOXYWr5Qnhy0zSF2tBN183SraWd0X8f3tlk3P9I0OxWgXNfZ/D4ikkJrATJyccWx0ZPvijunmWPtJzZtHouoRiQGSRR4flYXtsbEgn+8FFbXRI85AiHfZDcBRmtUo0nYVbw+MccrRCuEl5nEx60FeC9OsU3rxLLkWmz5tziyEcnenfUGuNkh4b02B8n3NBhl3/piJYvqyviUahaIt2kq6JDvqFgfxmZaiNsmO8wSg06q8n3kRO1q3WqO0iCrumPojGcusMfxauPo5vS4Gr3asmwEc=\r\nUser-Agent:
xmlrpclib.py/1.0.1 (by www.pythonware.com)\r\nContent-Type:
text/xml\r\nContent-Length: 203\r\n\r\n'
send: "<?xml
version='1.0'?>\n<methodCall>\n<methodName>delete_group</methodName>\n<params>\n<param>\n<value><string>cn=grp001,cn=groups,cn=accounts,dc=ipaqa,dc=com</string></value>\n</param>\n</params>\n</methodCall>\n"
reply: 'HTTP/1.1 200 OK\r\n'
header: Date: Wed, 11 Jun 2008 15:32:35 GMT
header: Server: Apache/2.2.3 (Red Hat)
header: WWW-Authenticate: Negotiate
YIGZBgkqhkiG9xIBAgICAG+BiTCBhqADAgEFoQMCAQ+iejB4oAMCARKicQRvxm7Uuwf/MRNSYzbkYl1h+Z0JcMccM+rcdE1w4a510DhRwAhF+LSaK5SIeNNP5nLCLx65mKLfVwa54FOGClQsIK0hEw0hb5w2TeKpKVvKpyfcbbjjxj7MlgcCA7IfKCtOwuSCFymgiCw6vpq4R14l
header: Content-Length: 133
header: Connection: close
header: Content-Type: text/xml
body: "<?xml
version='1.0'?>\n<methodResponse>\n<params>\n<param>\n<value><string>Success</string></value>\n</param>\n</params>\n</methodResponse>\n"
grp001 successfully deleted
[root@client64 ~]# 

Comment 8 Rob Crittenden 2008-06-11 14:34:49 EDT
Created attachment 308978 [details]
missed some IPAClient invocations
Comment 9 Rob Crittenden 2008-06-11 16:31:16 EDT
ipa-1-0: b7cf3b6e288ecb92e1cfcc1bcdb526eb4392b4e8
master: 8752ebd185526e623d2ad0d3477c7ba0274d5d3d
Comment 10 Yi Zhang 2008-06-12 17:39:23 EDT
QA Verified on June 12, 2008 (Yi)
Build used: June 12, 2008 (64bit RHEL 5.2)

all checked, the "-v" works for all command that has verbose mode enabled. 

Note You need to log in before you can comment on or make changes to this bug.